package com.ktg.iscs.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ktg.iscs.domain.IsLockCabinet;
import com.ktg.iscs.domain.dto.hardwareApi.SendDataDTO;

/**
 * 锁控机柜Service接口
 *
 * @author cgj
 * @date 2025-05-14
 */
public interface IIsLockCabinetService extends IService<IsLockCabinet> {

    Page<IsLockCabinet> getIsLockCabinetPage(Page<IsLockCabinet> page, IsLockCabinet isLockCabinet);

    Boolean deleteIsLockCabinetByCabinetIds(String cabinetIds);

    Boolean insertIsLockCabinet(IsLockCabinet isLockCabinet);

    Boolean updateIsLockCabinet(IsLockCabinet isLockCabinet);

    Boolean sendDataToLoto(SendDataDTO dto);

}
